----------------------------------------------------------------------------
-- project:			
-- file: 			
-- author:			Michael Groll
-- version:			
-- gitHub:			
--
-- description:     
----------------------------------------------------------------------------

PreGameState = class("PreGameState")

function PreGameState:initialize() 
	-- our necessary duo
	self.alwaysDraw = true
	self.alwaysUpdate = true
	self.timer = 5 -- countdown timer to live game

end
function PreGameState:draw()
	local lg = love.graphics
	lg.print("Game begins in: " .. math.floor(self.timer), WIDTH/2 - 50, HEIGHT/2)
end

function PreGameState:update(dt)
	self.timer = self.timer - dt
	if self.timer <= 0 then
		popState()   -- kill pregameState which should leave us the underneath state of game
	end
end

function PreGameState:destroy()
end

function PreGameState:setCallbacks()
end